Skip to main content
GET
/
doc-agent
/
api
/
v1
/
claims
/
{claim_id}
/
timeline
cURL
curl --request GET \
  --url https://agents.textin.com/doc-agent/api/v1/claims/{claim_id}/timeline \
  --header 'x-ti-app-id: <x-ti-app-id>' \
  --header 'x-ti-secret-code: <x-ti-secret-code>'
{
  "summary": "被保险人张三于2023年4月因双眼干涩就诊,诊断为干眼症,使用玻璃酸钠滴眼液治疗,门诊费用87元。",
  "timeline": [
    {
      "events": [
        {
          "desc": "双眼干涩、异物感、疲劳",
          "event": "发病",
          "evidence": [
            {
              "bbox": [
                100,
                200,
                300,
                250
              ],
              "material_id": "material-001",
              "page_num": 1,
              "text": "2023-04-12 双眼干涩"
            }
          ],
          "time": 1681272000
        },
        {
          "desc": "干眼症,ICD-10编码: H04.1",
          "event": "诊断",
          "evidence": [
            {
              "bbox": [
                100,
                300,
                300,
                350
              ],
              "material_id": "material-001",
              "page_num": 1,
              "text": "诊断:干眼症"
            }
          ],
          "time": 1681272000
        }
      ],
      "person": "张三",
      "role": "被保险人"
    }
  ],
  "timeline_status": "2"
}

Headers

x-ti-app-id
string
required
x-ti-secret-code
string
required

Path Parameters

claim_id
string
required

案件ID

Response

200 - application/json

OK

summary
string

案件时间线总结

Example:

"被保险人张三于2023年4月因双眼干涩就诊,诊断为干眼症,使用玻璃酸钠滴眼液治疗,门诊费用87元。"

timeline
object[]

按人员分组的时间线,对齐 person_timeline 结构

Example:
[
{
"events": [
{
"desc": "双眼干涩、异物感、疲劳",
"event": "发病",
"evidence": [
{
"bbox": [100, 200, 300, 250],
"material_id": "material-001",
"page_num": 1,
"text": "2023-04-12 双眼干涩"
}
],
"time": 1681272000
},
{
"desc": "干眼症,ICD-10编码: H04.1",
"event": "诊断",
"evidence": [
{
"bbox": [100, 300, 300, 350],
"material_id": "material-001",
"page_num": 1,
"text": "诊断:干眼症"
}
],
"time": 1681272000
}
],
"person": "张三",
"role": "被保险人"
}
]
timeline_status
integer<enum>

时间线状态 0:未开始, 1:处理中, 2:处理成功, 3:处理失败

Example:

"2"